package com.cool.bang.modules.approval.domain.po;

/**
 * 复合节点
 *
 * @author PeiZhi Guo
 * 2022-9-16 9:34
 */
public class CompositeNode {

    /** 执行节点 */
    private Long id;

    /** 执行节点类型 1开始节点、2运行节点、3结束节点 */
    private Integer type;

    /** 执行节点名称 */
    private String name;

    /** 下一节点 */
    private Long nextId;

    /** 下一节点类型 */
    private Integer nextType;

    /** 下一节点名称 */
    private String nextName;

    /** 上一节点 */
    private Long prevId;

    /** 上一节点类型 */
    private Integer prevType;

    /** 上一节点名称 */
    private String prevName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getNextId() {
        return nextId;
    }

    public void setNextId(Long nextId) {
        this.nextId = nextId;
    }

    public Integer getNextType() {
        return nextType;
    }

    public void setNextType(Integer nextType) {
        this.nextType = nextType;
    }

    public String getNextName() {
        return nextName;
    }

    public void setNextName(String nextName) {
        this.nextName = nextName;
    }

    public Long getPrevId() {
        return prevId;
    }

    public void setPrevId(Long prevId) {
        this.prevId = prevId;
    }

    public Integer getPrevType() {
        return prevType;
    }

    public void setPrevType(Integer prevType) {
        this.prevType = prevType;
    }

    public String getPrevName() {
        return prevName;
    }

    public void setPrevName(String prevName) {
        this.prevName = prevName;
    }
}
